Name:          python-markupsafe
Version:       2.1.2
Release:       1mamba
Summary:       Implements a XML/HTML/XHTML Markup safe string for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pallets/markupsafe
Source:        https://pypi.debian.net/MarkupSafe/MarkupSafe-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n MarkupSafe-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/MarkupSafe-%{version}-py*.egg-info
%{python_sitearch}/MarkupSafe-%{version}-py*.egg-info/*
%doc README.rst

%changelog
* Wed Jan 18 2023 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Mon Nov 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-3mamba
- rebuild to fix python39 requirement

* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-2mamba
- rebuilt with python 3.10

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0a1-2mamba
- rebuilt with distdeps

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0a1-1mamba
- automatic update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- rebuilt with python3 3.7.4

* Mon Feb 25 2019 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Mar 27 2017 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23-2mamba
- -py3 package build support

* Thu May 22 2014 Automatic Build System <autodist@mambasoft.it> 0.23-1mamba
- automatic version update by autodist

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic version update by autodist

* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic update by autodist

* Wed Aug 07 2013 openmamba WebBuild System <webbuild@openmamba.org> 0.18-1mamba
- update to 0.18

* Sun Feb 06 2011 gil <puntogil@libero.it> 0.11-2mamba
- rebuilt devel

* Tue Nov 09 2010 gil <puntogil@libero.it> 0.11-1mamba
- package created by autospec
